<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/platform_color_80353535">

    <TextView
        android:id="@+id/tv_change_route"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_marginTop="25dp"
        android:layout_marginRight="10dp"
        android:background="?android:attr/selectableItemBackground"
        android:drawableRight="@drawable/audioim_img_choose_arrow_unuse"
        android:drawablePadding="6dp"
        android:padding="5dp"
        android:text="切换至传统电话"
        android:textColor="@color/platform_color_50FFFFFF"
        android:textSize="13sp"
        android:visibility="visible" />


    <RelativeLayout
        android:id="@+id/rl_head"
        android:layout_width="250dp"
        android:layout_height="250dp"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="74dp">

        <com.ydl.ydlcommon.view.WaveView
            android:id="@+id/wave_view"
            android:layout_width="250dp"
            android:layout_height="250dp"
            android:layout_centerInParent="true" />

        <ImageView
            android:layout_width="126dp"
            android:layout_height="126dp"
            android:layout_centerInParent="true"
            android:background="@drawable/audioim_head_background" />

        <ImageView
            android:id="@+id/iv_head"
            android:layout_width="120dp"
            android:layout_height="120dp"
            android:layout_centerInParent="true"
            android:scaleType="centerCrop"
            android:src="@drawable/audioim_head_place_hold_pic" />

    </RelativeLayout>

    <TextView
        android:id="@+id/tv_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/rl_head"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="-20dp"
        android:textColor="@color/white"
        android:textSize="26sp"
        tools:text="留意" />

    <TextView
        android:id="@+id/tv_tips"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/tv_name"
        android:layout_centerHorizontal="true"
        android:layout_marginLeft="25dp"
        android:layout_marginTop="6dp"
        android:layout_marginRight="25dp"
        android:ellipsize="end"
        android:gravity="center"
        android:maxLines="2"
        android:textColor="@color/white"
        android:textSize="15sp"
        tools:text="你存在的本身就是值得被爱的你存在的本身就是值得被爱的" />

    <!-- 倾诉剩余时间-->
    <RelativeLayout
        android:id="@+id/rl_remain_time"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@+id/rl_hang_up"
        android:layout_marginBottom="20dp"
        android:visibility="gone">

        <TextView
            android:id="@+id/tv_notes"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:text="您的倾诉时间还有"
            android:textColor="@color/platform_color_30FFFFFF"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/tv_remain_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/tv_notes"
            android:layout_centerHorizontal="true"
            android:text="23:23"
            android:textColor="@color/white"
            android:textSize="20sp" />
    </RelativeLayout>

    <TextView
        android:id="@+id/tv_change_doctor"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_above="@+id/rl_hang_up"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="48dp"
        android:gravity="center"
        android:text="聆听者长时间未接听，\n您可以点击右上角切换线路，或者挂断换一位"
        android:textColor="@color/white"
        android:visibility="gone" />

    <TextView
        android:id="@+id/tv_waiting"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_above="@+id/rl_hang_up"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="50dp"
        android:text="正在等待聆听者接受邀请…"
        android:textColor="@color/platform_color_70FFFFFF"
        android:textSize="12sp"
        android:visibility="visible" />

    <!--挂断按钮-->
    <RelativeLayout
        android:id="@+id/rl_hang_up"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginLeft="72dp"
        android:layout_marginBottom="18dp">


        <com.ydl.ydlcommon.view.ProgressView
            android:id="@+id/progress_view"
            android:layout_width="70dp"
            android:layout_height="70dp"
            app:pa_progressWidth="2dp" />

        <ImageView
            android:id="@+id/iv_hang_up"
            android:layout_width="66dp"
            android:layout_height="66dp"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="1dp"
            android:src="@drawable/audioim_img_hang_up_unuse"
            android:visibility="visible" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/iv_hang_up"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="8dp"
            android:text="挂断"
            android:textColor="@color/white"
            android:textSize="12sp" />

    </RelativeLayout>

    <!-- 免提按钮-->
    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true"
        android:layout_marginRight="72dp"
        android:layout_marginBottom="18dp">

        <ImageView
            android:id="@+id/iv_hands_free"
            android:layout_width="66dp"
            android:layout_height="66dp"
            android:layout_marginTop="1dp"
            android:src="@drawable/audioim_img_hands_free_unuse" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/iv_hands_free"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="8dp"
            android:text="免提"
            android:textColor="@color/white"
            android:textSize="12sp" />
    </RelativeLayout>

    <!--自定义弹窗-->
    <TextView
        android:id="@+id/tv_toast"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/tv_tips"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="34dp"
        android:background="@drawable/audioim_toast_view_background"
        android:elevation="6dp"
        android:paddingLeft="11dp"
        android:paddingTop="4dp"
        android:paddingRight="11dp"
        android:paddingBottom="4dp"
        android:textColor="@color/white"
        android:visibility="gone"
        tools:text="已接通" />

</RelativeLayout>
